diff --git a/doc/src/sgml/cube.sgml b/doc/src/sgml/cube.sgml
index e010305..c6e5862 100644
--- a/doc/src/sgml/cube.sgml
+++ b/doc/src/sgml/cube.sgml
@@ -190,7 +190,7 @@
         n = 2 * k - 1 means lower bound of <replaceable>k</replaceable>-th
         dimension, n = 2 * k means upper bound of
         <replaceable>k</replaceable>-th dimension.  Negative
-        <replaceable>n</replaceable> denotes inversed value of corresponding
+        <replaceable>n</replaceable> denotes the inverse value of the corresponding
         positive coordinate.  This operator is designed for KNN-GiST support.
       </entry>
      </row>
diff --git a/doc/src/sgml/pgtrgm.sgml b/doc/src/sgml/pgtrgm.sgml
index 42e2426..83b0033 100644
--- a/doc/src/sgml/pgtrgm.sgml
+++ b/doc/src/sgml/pgtrgm.sgml
@@ -168,15 +168,15 @@
    greatest similarity between the first string and any substring of the second
    string.  However, this function does not add padding to the boundaries of
    the extent.  Thus, the number of additional characters present in the
-   second string is not considered, except for the mismatched word boundry.
+   second string is not considered, except for the mismatched word boundaries.
   </para>
 
   <para>
    At the same time, <function>strict_word_similarity(text, text)</function>
-   selects extent of words in the second string.  In the example above,
+   selects an extent of words in the second string.  In the example above,
    <function>strict_word_similarity(text, text)</function> would select the
-   extent of single word <literal>'words'</literal>, whose set of trigrams is
-   <literal>{"  w"," wo","wor","ord","rds","ds "}</literal>
+   extent of a single word <literal>'words'</literal>, whose set of trigrams is
+   <literal>{"  w"," wo","wor","ord","rds","ds "}</literal>.
 
 <programlisting>
 # SELECT strict_word_similarity('word', 'two words'), similarity('word', 'words');
diff --git a/doc/src/sgml/ref/pgbench.sgml b/doc/src/sgml/ref/pgbench.sgml
index 7bd01a2..7f92c77 100644
--- a/doc/src/sgml/ref/pgbench.sgml
+++ b/doc/src/sgml/ref/pgbench.sgml
@@ -1215,7 +1215,7 @@ pgbench <optional> <replaceable>options</replaceable> </optional> <replaceable>d
      </row>
      <row>
       <entry><literal>-</literal></entry>
-      <entry>substraction</entry>
+      <entry>subtraction</entry>
       <entry><literal>3 - 2.0</literal></entry>
       <entry><literal>1.0</literal></entry>
      </row>
